<?php
namespace Asalae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * StoredFilesVolumesFixture
 */
class StoredFilesVolumesFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/original_data/sample.wmv',
                'volume_id' => 1,
                'stored_file_id' => 1,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=2
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/original_data/sample.wmv',
                'volume_id' => 2,
                'stored_file_id' => 1,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=3
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_lifecycle.xml',
                'volume_id' => 1,
                'stored_file_id' => 2,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=4
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_lifecycle.xml',
                'volume_id' => 2,
                'stored_file_id' => 2,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=5
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_description.xml',
                'volume_id' => 1,
                'stored_file_id' => 3,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=6
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_description.xml',
                'volume_id' => 2,
                'stored_file_id' => 3,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=7
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_transfer.xml',
                'volume_id' => 1,
                'stored_file_id' => 4,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=8
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/management_data/sa_1_transfer.xml',
                'volume_id' => 2,
                'stored_file_id' => 4,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=9
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/preservation_data/sample_wmv.mp4',
                'volume_id' => 1,
                'stored_file_id' => 5,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=10
                'storage_ref' => 'sa/no_profile/2021-12/sa_1/preservation_data/sample_wmv.mp4',
                'volume_id' => 2,
                'stored_file_id' => 5,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=11
                'storage_ref' => 'sp/profile1/2021-12/sa_2/original_data/file1.txt',
                'volume_id' => 1,
                'stored_file_id' => 6,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=12
                'storage_ref' => 'sp/profile1/2021-12/sa_2/original_data/file1.txt',
                'volume_id' => 2,
                'stored_file_id' => 6,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=13
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_lifecycle.xml',
                'volume_id' => 1,
                'stored_file_id' => 7,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=14
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_lifecycle.xml',
                'volume_id' => 2,
                'stored_file_id' => 7,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=15
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_description.xml',
                'volume_id' => 1,
                'stored_file_id' => 8,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=16
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_description.xml',
                'volume_id' => 2,
                'stored_file_id' => 8,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=17
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_transfer.xml',
                'volume_id' => 1,
                'stored_file_id' => 9,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=18
                'storage_ref' => 'sp/profile1/2021-12/sa_2/management_data/sa_2_transfer.xml',
                'volume_id' => 2,
                'stored_file_id' => 9,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=19
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_lifecycle.xml',
                'volume_id' => 1,
                'stored_file_id' => 10,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=20
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_lifecycle.xml',
                'volume_id' => 2,
                'stored_file_id' => 10,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=21
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_description.xml',
                'volume_id' => 1,
                'stored_file_id' => 11,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=22
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_description.xml',
                'volume_id' => 2,
                'stored_file_id' => 11,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=23
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_transfer.xml',
                'volume_id' => 1,
                'stored_file_id' => 12,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=24
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_transfer.xml',
                'volume_id' => 2,
                'stored_file_id' => 12,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=25
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_deleted.json',
                'volume_id' => 1,
                'stored_file_id' => 13,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=26
                'storage_ref' => 'sp/profile1/2021-12/sa_3/management_data/sa_3_deleted.json',
                'volume_id' => 2,
                'stored_file_id' => 13,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=27
                'storage_ref' => 'sp/profile1/2021-12/sa_4/original_data/file1.txt',
                'volume_id' => 1,
                'stored_file_id' => 14,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=28
                'storage_ref' => 'sp/profile1/2021-12/sa_4/original_data/file1.txt',
                'volume_id' => 2,
                'stored_file_id' => 14,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=29
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_lifecycle.xml',
                'volume_id' => 1,
                'stored_file_id' => 15,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=30
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_lifecycle.xml',
                'volume_id' => 2,
                'stored_file_id' => 15,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=31
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_description.xml',
                'volume_id' => 1,
                'stored_file_id' => 16,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=32
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_description.xml',
                'volume_id' => 2,
                'stored_file_id' => 16,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=33
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_transfer.xml',
                'volume_id' => 1,
                'stored_file_id' => 17,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=34
                'storage_ref' => 'sp/profile1/2021-12/sa_4/management_data/sa_4_transfer.xml',
                'volume_id' => 2,
                'stored_file_id' => 17,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=35
                'storage_ref' => 'sp/profile1/2021-12/sa_5/original_data/file1.txt',
                'volume_id' => 1,
                'stored_file_id' => 18,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=36
                'storage_ref' => 'sp/profile1/2021-12/sa_5/original_data/file1.txt',
                'volume_id' => 2,
                'stored_file_id' => 18,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=37
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_lifecycle.xml',
                'volume_id' => 1,
                'stored_file_id' => 19,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=38
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_lifecycle.xml',
                'volume_id' => 2,
                'stored_file_id' => 19,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=39
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_description.xml',
                'volume_id' => 1,
                'stored_file_id' => 20,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=40
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_description.xml',
                'volume_id' => 2,
                'stored_file_id' => 20,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=41
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_transfer.xml',
                'volume_id' => 1,
                'stored_file_id' => 21,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=42
                'storage_ref' => 'sp/profile1/2021-12/sa_5/management_data/sa_5_transfer.xml',
                'volume_id' => 2,
                'stored_file_id' => 21,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=43
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211209.xml',
                'volume_id' => 1,
                'stored_file_id' => 22,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=44
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211209.xml',
                'volume_id' => 2,
                'stored_file_id' => 22,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=45
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211209.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 23,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=46
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211209.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 23,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=47
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211210.xml',
                'volume_id' => 1,
                'stored_file_id' => 24,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=48
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211210.xml',
                'volume_id' => 2,
                'stored_file_id' => 24,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=49
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211210.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 25,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=50
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211210.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 25,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=51
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211213.xml',
                'volume_id' => 1,
                'stored_file_id' => 26,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=52
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211213.xml',
                'volume_id' => 2,
                'stored_file_id' => 26,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=53
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211213.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 27,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=54
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211213.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 27,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=55
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211223.xml',
                'volume_id' => 1,
                'stored_file_id' => 28,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=56
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211223.xml',
                'volume_id' => 2,
                'stored_file_id' => 28,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=57
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211223.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 29,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=58
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211223.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 29,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=59
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211224.xml',
                'volume_id' => 1,
                'stored_file_id' => 30,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=60
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211224.xml',
                'volume_id' => 2,
                'stored_file_id' => 30,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=61
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211224.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 31,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=62
                'storage_ref' => 'sa/technical_archives/c1037259-43b8-4b90-988a-4239839ac8f3/asalae_events_log_20211224.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 31,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=63
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220106.xml',
                'volume_id' => 1,
                'stored_file_id' => 32,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=64
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220106.xml',
                'volume_id' => 2,
                'stored_file_id' => 32,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=65
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220106.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 33,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=66
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220106.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 33,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=67
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220107.xml',
                'volume_id' => 1,
                'stored_file_id' => 34,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=68
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220107.xml',
                'volume_id' => 2,
                'stored_file_id' => 34,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=69
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220107.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 35,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=70
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220107.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 35,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=71
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220111.xml',
                'volume_id' => 1,
                'stored_file_id' => 36,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=72
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220111.xml',
                'volume_id' => 2,
                'stored_file_id' => 36,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=73
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220111.xml.tsr',
                'volume_id' => 1,
                'stored_file_id' => 37,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
            [// id=74
                'storage_ref' => 'sa/technical_archives/6621dae4-ff82-4429-bd2d-73f514c1095d/asalae_events_log_20220111.xml.tsr',
                'volume_id' => 2,
                'stored_file_id' => 37,
                'is_integrity_ok' => null,
                'integrity_date' => null,
            ],
        ];
        parent::init();
    }
}
